Create Product Modifier Image
Creates a Modifier Image.
The image will show on the storefront when the value is selected. Upload via multipart form post; this is the only accepted upload method.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
product_id
The ID of the product to which the resource belongs.
modifier_id
The ID of the product modifier.
value_id
The ID of the product modifier value.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects a multipart form containing a file.
image_file
The image file to upload. Maximum 8 MB.
Response
OK
data
An object containing a publicly accessible image URL, or a form post that contains an image file.
meta
Response metadata.
Errors
400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error